pkgconfdir    = $(sysconfdir)/libretools.d
pkgdocdir     = $(docdir)/libretools
pkglibexecdir = $(libexecdir)/libretools

# Detect things about the directory we're in ####################################

srcfiles-ignore/$(srcdir) = $(addsuffix /%,$(_am_subdirs/$(@D)))

ifeq ($(wildcard $(topsrcdir)/.git),)
include $(srcdir)/.srcfiles.mk
else
$(srcdir)/.srcfiles.mk: FORCE
	@echo srcfiles = $(filter-out $(srcfiles-ignore/$(@D)),$(shell cd $(@D) && git ls-files)) | $(write-ifchanged) $@
-include $(srcdir)/.srcfiles.mk
endif

detect-ignore      =
detect-ignore-exec =
detect-ignore-conf =
detect-ignore-ronn =
detect-ignore-md   = HACKING.md
detect-ignore-sh   =

devtools-files =

libretools-srcs = $(detect-all)
libretools-mans = $(patsubst %.ronn,%,$(detect-ronn))
libretools-bins = $(detect-exec)
libretools-libexecs =
libretools-libs = $(detect-sh)
libretools-docs = $(detect-md) $(detect-ronn)
libretools-confs = $(detect-conf)

libretools-files = $(libretools-mans) $(libretools-bins) $(libretools-libexecs) $(libretools-libs) $(libretools-docs) $(libretools-confs)
pots = $(libretools-bins) $(libretools-libexecs) $(libretools-libs)
