#!/usr/bin/env roundup

describe aur

. ./test-common.sh

before() {
	_before
}

after() {
	_after
}

it_displays_help() {
	LC_ALL=C aur -h >$tmpdir/stdout 2>$tmpdir/stderr

	[[ "$(sed 1q $tmpdir/stdout)" =~ Usage:.* ]]
	empty $tmpdir/stderr
}

it_fails_with_0_args() {
	aur >$tmpdir/stdout 2>$tmpdir/stderr || stat=$?

	[[ $stat != 0 ]]
	empty $tmpdir/stdout
	not empty $tmpdir/stderr
}

# TODO: Actually test
